# Create unitsOfMeasure
Create a units of measure object in Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
POST businesscentralPrefix/companies({id})/unitsOfMeasure
```
## Request headers
Header|Value
Authorization|Bearer {token}. Required.
Content-Type|application/json
## Request body
In the request body, supply a JSON representation of a unitsOfMeasure object.
## Response
If successful, this method returns ```201 Created``` response code and a unitsOfMeasure object in the response body.
## Example
Request
Here's an example of a request.
```json
POST https://{businesscentralPrefix}/api/v1.0/companies({id})/unitsOfMeasure
Content-type: application/json

{
    "code": "BOX",
    "displayName": "Box",
    "internationalStandardCode": "BX",
    "symbol": ""
}
```
Response
Here's an example of the response.
> NOTE
> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.
```json
HTTP/1.1 201 Created
Content-type: application/json

{
    "id": "53a6738a-44e3-ea11-bb43-000d3a2feca1",
    "code": "BOX",
    "displayName": "Box",
    "internationalStandardCode": "BX",
    "symbol": "",
    "lastModifiedDateTime": "2020-08-20T22:24:22.193Z"
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_unitofmeasure
dynamics_unitofmeasure_get
dynamics_unitofmeasure_delete
dynamics_unitofmeasure_update

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_unitofmeasure_create, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_unitofmeasure_create/
